--- old/usr/src/uts/common/os/ddi.c	2015-08-19 07:25:20.205804913 -0400
+++ new/usr/src/uts/common/os/ddi.c	2015-08-19 07:25:20.211374198 -0400
@@ -26,6 +26,9 @@
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
+/*
+ * Copyright 2015 Josef 'Jeff' Sipek <jeffpc@josefsipek.net>
+ */
 
 /*
  * UNIX Device Driver Interface functions
@@ -462,6 +465,21 @@
 	return (USEC_TO_TICK_ROUNDUP(microsecs));
 }
 
+/*
+ * Convert from seconds to system time units (hz).
+ *
+ * If secs <= 0, return 0.
+ * Otherwise, convert seconds to ticks, rounding up.
+ */
+clock_t
+drv_sectohz(clock_t secs)
+{
+	if (secs <= 0)
+		return (0);
+
+	return (SEC_TO_TICK(secs));
+}
+
 #ifdef	sun
 /*
  * drv_usecwait implemented in each architecture's machine
